Subject: Re: [PATCH 0/3] net: phy: micrel: Code clean-up

From: Jakub Kicinski <[email-masked]>
Date: Mon, 18 May 2026 17:15:51 -0700

On Fri, 15 May 2026 16:50:23 +0200 Christophe JAILLET wrote:
> This serie is only some clean-up related to
> drivers/net/mdio/mdio-mscc-miim.c
> 
> It depends on a patch called "[PATCH net-next] net: phy: micrel: use dev_err_probe()"
> that has been sent recently.
> 
> Note that in the 2nd patch, the order of the calls in the remove
> function is changed. I don't think that it matters, but I'm always
> relunctent to change such things.
> 
> The patches are compile tested only.

... against the wrong base tree I suspect? :S

Applying: net: mdio: mscc-miim: Remove some redundant code
Applying: net: mdio: mscc-miim: Use devm_clk_get_optional_enabled()
error: patch failed: drivers/net/mdio/mdio-mscc-miim.c:318
error: drivers/net/mdio/mdio-mscc-miim.c: patch does not apply
Patch failed at 0002 net: mdio: mscc-miim: Use devm_clk_get_optional_enabled()
hint: Use 'git am --show-current-patch=diff' to see the failed patch
-- 
pw-bot: cr